//
//  Pricing.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 21/01/2025.
//

import SwiftUI

enum Pricing: String, CaseIterable, Identifiable {
    case standard
    case premier
    case premierPro

    var id: String { self.rawValue }

    var headerTitle: String {
        switch self {
        case .standard, .premier:
            return "Abonnements"
        case .premierPro:
            return "Abonnement Premier"
        }
    }

    var footerButtonColor: SQButtonColorScheme {
        switch self {
        case .standard:
            return .neutral
        case .premier, .premierPro:
            return .orange
        }
    }

    var footerTextColor: Color {
        switch self {
        case .standard:
            return .sqNeutral(100)
        case .premier, .premierPro:
            return .sqOrange(70)
        }
    }

    var footerBackgroundColor: Color {
        switch self {
        case .standard:
            return .sqNeutral(15)
        case .premier, .premierPro:
            return .sqOrange(20)
        }
    }

    var footerPrimaryText: String {
        switch self {
        case .standard:
            return "Gratuit"
        case .premier:
            return "À partir de 9,99 € / mois"
        case .premierPro:
            return "Essai gratuit* de 14 jours"
        }
    }

    var footerSecondaryText: String {
        switch self {
        case .standard:
            return ""
        case .premier:
            return "Sans engagement"
        case .premierPro:
            return "À partir de 29,99 € / mois"
        }
    }

    var footerTertiaryText: String {
        switch self {
        case .standard, .premier:
            return ""
        case .premierPro:
            return "* Offre d’essai valable une seule fois par utilisateur."
        }
    }
}
